jueves, 13 de noviembre de 2008

Actualización de seguridad para GnuTLS

El proyecto GNU ha publicado una actualización de seguridad para su producto GnuTLS, que elimina múltiples fallos menores y una vulnerabilidad que permitiría la falsificación de certificados X.509.

GnuTLS es una librería para la implementación del protocolo TLS (Transport Layer Security, capa de seguridad del transporte) y de su predecesor SSL (Secure Sockets Layer, capa de conexión segura), métodos utilizados para ofrecer cifrado y integridad de datos en las comunicaciones entre dos entes a través de una red informática.

Aunque tradicionalmente el uso más frecuente de SSL/TLS es para el cifrado de las páginas web, en realidad estos protocolos de transporte son totalmente independientes del protocolo de aplicación. Es decir, se puede utilizar SSL/TLS para el cifrado de protocolos de aplicación como Telnet, FTP, SMTP, IMAP o el propio HTTP.

SSL/TLS no ofrecen únicamente la capacidad de cifrar la información, sino que también permiten a cada una de las partes identificarse de forma fehaciente, lo que evita posibles ataques de suplantación o de interceptación de sesiones ("man-in-the-middle").

La vulnerabilidad descubierta, podría ser aprovechada para validar un certificado de forma automática sin que este sea realmente comprobado en la lista de certificados válidos.

El error está causado por un fallo en la función _gnutls_x509_verify_certificate en x509/verify.c, que se encarga de la cadena de verificación de los certificados X.509. Debido al error, si se añade un certificado autofirmado confiable a la lista, este será descartado una vez validado, y el certificado situado inmediatamente después será dado por válido sin pasar por el proceso de comprobación.

El fallo podría ser aprovechado por un atacante por medio de ataques man-in-the-middle. Lo que le permitiría suplantar cualquier nombre y añadirle un certificado confiable falso, que daría con que el cliente de GnuTLS lo acepte como seguro.

Se recomienda actualizar a la versión 2.6.1 de GnuTLS no vulnerable, disponible para su descarga desde:
http://www.gnu.org/software/gnutls/


Pablo Molina
pmolina@hispasec.com


Más información:

GnuTLS 2.6.1 - Security release [GNUTLS-SA-2008-3]
http://article.gmane.org/gmane.comp.encryption.gpg.gnutls.devel/3215

No hay comentarios:

Publicar un comentario en la entrada